import os
from subprocess import check_call

from charms.reactive import when, when_not, set_state, hook
from charmhelpers.core import hookenv


@when('pgdb.master.available')
def write_conn_string(db):
    with open("/home/ubuntu/db.conn", "w") as f:
        f.write(db.master)
    hookenv.status_set('active', 'ready')


@hook('update-status')
def kpi_script():
    if os.path.exists("/home/ubuntu/kpi.py") and os.path.exists("/home/ubuntu/db.conn"):
        with open("/home/ubuntu/db.conn") as f:
            conn = f.read()
        check_call(["/home/ubuntu/kpi.py", conn])
